Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.hibernate
Class H3BeanConverter

    java.lang.Object
      org.directwebremoting.convert.BaseV20Converter
          org.directwebremoting.convert.BasicObjectConverter
              org.directwebremoting.convert.BeanConverter
                  org.directwebremoting.hibernate.H3BeanConverter

All Implemented Interfaces:
  Converter, NamedConverter

    public class H3BeanConverter

extends BeanConverter
implements Converter

BeanConverter that works with Hibernate to get BeanInfo.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`H3BeanConverter()`

Method Summary
`java.lang.Class` | `getClass(java.lang.Object example)` Hibernate makes `Object.getClass()` diffficult ...
`java.util.Map` | `getPropertyMapFromObject(java.lang.Object example, boolean readRequired, boolean writeRequired)` Get a map of property names to implementations of `Property`.
`void` | `setAssumeSession(boolean assumeSession)`

Methods inherited from class org.directwebremoting.convert.BeanConverter
`getPropertyMapFromClass`

Methods inherited from class org.directwebremoting.convert.BasicObjectConverter
`convertInbound, convertOutbound, getConverterManager, getInstanceType, getJavascript, setConverterManager, setExclude, setImplementation, setInclude, setInstanceType, setJavascript`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.Converter
`convertInbound, convertOutbound, setConverterManager`

Constructor Detail

### H3BeanConverter

    public H3BeanConverter()

Method Detail

### getPropertyMapFromObject

    public java.util.Map getPropertyMapFromObject(java.lang.Object example,
                                                  boolean readRequired,
                                                  boolean writeRequired)
                                           throws MarshallException

  Description copied from interface: `NamedConverter`
  Get a map of property names to implementations of `Property`.

  HibernateBeanConverter (and maybe others) may want to provide alternate versions of bean.getClass(), and we may wish to fake or hide properties in some cases.

  This implementation is preferred above the alternate: `NamedConverter.getPropertyMapFromClass(Class, boolean, boolean)` because it potentially retains important extra type information.

  Specified by:
    `getPropertyMapFromObject` in interface `NamedConverter`
  Overrides:
    `getPropertyMapFromObject` in class `BeanConverter`
  Parameters:
    `example` - The object to find bean info from
    `readRequired` - The properties returned must be readable
    `writeRequired` - The properties returned must be writeable
  Returns:
    An array of PropertyDescriptors describing the beans properties
  Throws:
    `MarshallException` - If the introspection fails
  See Also:
    `NamedConverter.getPropertyMapFromClass(Class, boolean, boolean)`

### getClass

    public java.lang.Class getClass(java.lang.Object example)

  Hibernate makes `Object.getClass()` diffficult ...

  Parameters:
    `example` - The class that we want to call `Object.getClass()` on
  Returns:
    The type of the given object

### setAssumeSession

    public void setAssumeSession(boolean assumeSession)

  Parameters:
    `assumeSession` - the assumeSession to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD